Skip to main content
`Ctrl`+`K`

# LandauKokkosJacobian

Kokkos backend for assembling the Landau collision-operator Jacobian for the `DMPlex` Landau time integrator

## Synopsis

    PetscErrorCode LandauKokkosJacobian(DM[], const PetscInt, const PetscInt, const PetscInt, const PetscInt, const PetscInt[], PetscReal[], PetscScalar[], const PetscScalar[], const LandauStaticData *, const PetscReal, const PetscLogEvent[], const PetscInt[], const PetscInt[], Mat[], Mat)

Collective; No Fortran Support

## Note

Called internally by the Landau operator setup; users go through `DMPlexLandauIJacobian()`.

## See Also

`DMPlexLandauCreateVelocitySpace()`, `DMPlexLandauIJacobian()`, `LandauKokkosStaticDataSet()`

## Level

developer

## Location

src/ts/utils/dmplexlandau/kokkos/landau.kokkos.cxx

Index of all LANDAU routines
Table of Contents for all manual pages
Index of all manual pages